/****************************************************************
**
** Implementation of CIGLWIdget class
**
****************************************************************/


#include "CIGLWidget.h"

CIGLWidget::CIGLWidget( QWidget *parent, const char *name ): QGLWidget(parent, name)
{
}

void CIGLWidget::initializeGL()
{
    // Set up the rendering context, define display lists etc.:
    glClearColor( 0.0, 1.0, 1.0, 0.0 );
}

void CIGLWidget::resizeGL( int w, int h )
{
    // setup viewport, projection etc.:
    glViewport( 0, 0, (GLint)w, (GLint)h );
}

void CIGLWidget::paintGL()
{
	glClear(GL_COLOR_BUFFER_BIT);
}
